Subject: Re: setup drops mount?
From: Earnie Boyd <[email-masked]>
To: DJ Delorie <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 13 Nov 2000 10:37:58 -0800 (PST)

--- DJ Delorie <[email-masked]> wrote:
> 
> > Should we now modify this to conditionally remove these based on whether
> the
> > installation is into a new root directory?  If I'm updating I would be very
> > upset to learn that my now mounted /bin directory had been removed.  I have
> it
> > mounted per CGF's suggestion for cygexec bit switch.
> 
> Setup doesn't know about existing mount points.  If you want to teach
> it to respect existing mount points and symbolic links, then perhaps
> we can safely leave existing mounts alone.
> 

No, but it would know if it had to create a new root directory or even a new
/etc/setup directory or even a new /etc/setup/installed.db file.  The point is,
if this is an update then the mount points are already set and there is no need
to unmount and remount.

Cheers,

=====
Earnie Boyd
mailto:[email-masked]

---         <http://earniesystems.safeshopper.com>         ---
--- Cygwin: POSIX on Windows <http://gw32.freeyellow.com/> ---
---   Minimalist GNU for Windows <http://www.mingw.org/>   ---

__________________________________________________
Do You Yahoo!?
Yahoo! Calendar - Get organized for the holidays!
http://calendar.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]